EPIC5(1)

NAME
epic5 - Internet Relay Chat client for UNIX like systems

SYNOPSIS
epic5 [-a] [-b] [-B] [-c chan] [-d] [-f] [-F] [-h] [-H hostname] [-l filename] [-L filename] [-n nickname] [-o] [-O] [-p port] [-q] [-s] [-S] [-v] [-x] [-z username] [nickname] [server description list]

DESCRIPTION
The EPIC5 program is a unix-based character oriented user agent ('client') to Internet Relay Chat. It is a fully functional ircII client with many useful extensions. This version works with modern irc2 server networks as of early 2006. Support for non-irc2 networks (such as OPN or MS Comic Chat) is hit-and-miss.

OPTIONS

-a  Append the [server description list] to the end of the hardcoded default server list, rather than replacing it.

-b  Operate in so called “bot mode.” This also turns on the [-d] option. EPIC5 will fork(2) immediately and the parent process will exit, returning you to your shell. This was more useful before GNU screen and tmux, when logging out killed your processes. It's a better idea to just run your bot as a foreground client in another window. Some IRC networks limit the number of connections from an IP address to discourage bots.

-c chan
    Join chan the first time you successfully connect to a server.

-d  Operate in “dumb mode.” This is an alternate interface that is not full-screen. Input is read from stdin, and output is written to stdout. This interface is useful for screen readers and bots.

-h  Display a moderately concise help message and exit immediately.

-H hostname
    Use the IP address for hostname as your “local” IP address. This is for people with vhosts. Please note, the client doesn't tell the irc server what hostname to appear as, the server decides that. Usually it is the official hostname of your IP address. This option overrides the IRCHOST environment variable.

-l filename,[filename]
    Use the specified filename(s) as the startup file. The startup file is loaded the first time you successfully connect to a server, unless you specify the [-B] option. This overrides the EPICRC environment variable. If this option is not specified, and the EPICRC environment variable is not set, then ~/.epicrc is the default startup file.

-n nickname
    Use the specified nickname as the default nickname whenever you connect to an irc server. This option overrides the IRCNICK environment variable. This option can be overridden if you specify nickname argument in the command line (see below).

-p port
    Use the specified port as the default port for new server connections. The default port is usually 6667. Make sure that the servers you want to connect to are listening on this port before you try to connect there.

-q  Suppress the loading of any file when you first establish a connection to an irc server.

-s  Do not connect to a server after reading the startup script. Instead, present the server list and advise the user to connect to a server manually.

-S  The EPIC5 program is being run as a shell script. You must make this look like #/path/to/epic -S other args.

-v  Output version identification (VID) information and exit.

-x  This undocumented feature turns on all of the XDEBUG flags. Refer to the help files for XDEBUG if you want to know what happens if you use this.

-z username
    Use the specified username when negotiating a connection to a new irc server. This overrides the IRCUSER environment variable. If this option is not specified, then the user name specified in /etc/passwd for your user is used. This feature was formerly undocumented, but because of identd(8) this option isn't as useful as it once was. If you are a sysadmin, please install identd, and then this flag will provide no value to your users.

nickname
    The first bare word found is taken as the default nickname to use. This overrides all other options, including the -n option and the IRCNICK environment variable. If all else fails, then the client uses your login name as the default nickname.

server,[server]
    After the nickname, a list of one or more server specifications can be listed. Unless you specify the -a option, this will replace your default server list! The -a option forces any servers listed here to be appended to the default server list. The format for server specifications is:

        hostname:port:password:nick

    Any item can be omitted by leaving the field blank, and any trailing colons can also be omitted.

DETAILED DESCRIPTION

  The Screen:
The screen is split into two parts, separated by an inverse-video status line (if supported). The upper (larger) part of the screen displays responses from the ircd(8) server. The lower part of the screen (a single line) accepts keyboard input.

Some terminals do not support certain features required by epic5 , in which case you receive a message stating this. If this occurs, try changing the terminal type or run epic5 with the -d option.

  Irc Commands:
Any line beginning with the slash character “/” is regarded as an epic5 command (the command character may be changed). Any line not beginning with this character is treated as a message to be sent to the current channel. The client has a built in help system. Install the help files (they should be available at the same place you got the client) and then type “/help” to open up the help system.

  The .epicrc File:
When epic5 is executed, it checks the user's home directory for a ~/.epicrc file, executing the commands in the file. Commands in this file do not need to have a leading slash character “/” This allows predefinition of aliases and other features.

PRACTICAL EXAMPLES
Certainly any description of epic5 in this man page will be sorely inadequate because most of the confusion doesn't even start until after you get the client to connect to a server. But if you really have problems getting the client to connect to a server, try some of these:

epic5
    Try this first. This will assume all the defaults. If the person who is maintaining epic at your site has done a halfway decent job, this will put you on a server that is somewhat local to you.

epic5 nickname irc.domain.com
    or something similar will attempt to connect to the irc server running on the host "irc.domain.com" (fill in a real irc server here) with the nickname of well, "nickname". This is the most common way to specify an alternate server to use.

epic5 nickname irc.domain.com:6664
    Sometimes, some servers are really busy, and it can take them a long time to establish a connection with you on the default port (6667). Most major servers on big public networks accept connections on many different ports, with the most common being most or all of the ports between 6660 and 6675. You can usually connect much faster if you use a port other than 6667, if the server you're connecting to supports an alternate port.

epic5 nickname irc.efnet.net
    If you're totally stumped and trying to get on efnet, try this.

epic5 nickname irc.undernet.org
    If you're totally stumped and trying to get on undernet, try this.

epic5 nickname irc.dal.net
    If you're totally stumped and trying to get on dalnet, try this.

FILES

/usr/local/bin/epic5
    the default location of the binary

~/.epicrc
    default initialization file

~/.epic/
    directory you can put your own epic5 scripts into, that can then be loaded with /load

/usr/local/share/epic5
    default directory containing message-of-the-day, server list, help files and epic5 scripts

THE HELP FILES
Starting up the client is the easy part. Once you get connected, you'll probably find you have no idea what you're doing. That's where the help files come in. If the person who maintains irc at your site didn't install the help files, pester them until they do. Once the help files are available, use the “/help” command to get started. There are a bazillion commands and a multitude of nuances that will take a few months to get down pat. But once you do, you will be so firmly addicted to irc that your wife will divorce you, your kids will leave you, your dog will run away, and you'll flunk all your classes, and be left to sing the blues.

USEFUL WEB RESOURCES

<http://www.epicsol.org/> The EPIC home page

<http://help.epicsol.org/> The Online EPIC Help Pages

<http://www.irchelp.org/> Lots of great help for new irc users.

SIGNALS
epic5 handles the following signals gracefully

SIGUSR1
    Closes all DCC connections and EXEC'd processes.

ENVIRONMENT VARIABLES
It can be helpful to predefine certain variables in in the ~/.cshrc , ~/.profile , or ~/.login file:

IRCNICK
    The user's default IRC nickname

IRCNAME
    The user's default IRC realname (otherwise retrieved from /etc/passwd )

IRCSERVER
    The user's default IRC server list (see server option for details)

HOME
    Overrides the default home page in /etc/password

TERM
    The type of terminal emulation to use

SEE ALSO
ircd(8)

BUGS
Any non-trivial piece of software has bugs. EPIC5 is no exception. You can refer to the KNOWNBUGS file that is distributed with the client source code for a list of problems that are known to exist and may or may not be fixed some day. If you find a bug that is not listed there, you can refer to the BUG_FORM file that is also distributed with the source code. It will give you instructions on how to fill out the report and where to send it.

ERRATA
The online documentation probably should be in docbook form rather than in the current help format. The entire help system is a hack. This manual page only describes the options to epic, but doesn't tell you what to do once you get connected.

AUTHORS
IRC II was created by Michael Sandrof (ms5n+@andrew.cmu.edu). The current copyright holder of IRC II is Matthew Green (mrg@mame.mu.oz.au). EPIC5 is maintained by EPIC Software Labs (list@epicsol.org).

MANPAGE AUTHORS
At one time or another, this man page has been edited by Darren Reed, R.P.C. Rodgers, the lynX, Matthew Green, and EPIC Software Labs.